CRASH(8)

NAME
crash - examine system images

SYNOPSIS
/etc/crash [system_image] [system_namelist]

DESCRIPTION
crash is used to examine system memory images interactively. It can be run on-line against /dynix and /dev/kmem. It may also be run against a savecore of a crashed system. It can read both vmcore and the compressed vmcore.ZZ formats of core image "on-the-fly". The help command lists available commands.

help lists the following commands:

Name | Long Name | Description
 | or Option
(D) | Debug | change debug settings
(dis) | disassemble | disassemble addr count
(hdr) | bufhdr | buffer headers
(dp) | dp | dump physical
 |  | i.e., dp addr [count] [dhoxDHOXcs]
(dv) | dv | dump virtual
 |  | i.e., dv addr [count] [dhoxDHOXcs]
(file) | file | file table
(inode) | inode | inode table
(kfp) | kfp | frame pointer for kernel stack
 |  | trace start
(every) | every | repeat periodically
(ex) | expr | evaluate expressions
(e) | engine | display engine tables
(map) | map | display resources maps
(N) | News | news and features
(p) | proc | process table (one per line)
 | -l | process table (long listing)
 | -r | RUN & ONPROC procs only
 | -o | ONPROC procs only
(q) | quit | quit or exit
(set) | set var=expr | set variable equal to expression value
(s) | stack | kernel stack trace (all procs)
 | -r | kernel stack modifier (display
 |  | registers)
 | -f | kernel stack modifier (use kfp value)
 | -e value | kernel stack trace (give engine #)
 | value | kernel stack trace (give proc #)
(t) | trace | turn on debug tracing
(upte) | upte | dump user pte's (give proc #)
(u) | user | display user area (give proc #)
(vnode) | vnode | dump a vnode table (sort of)
(vtop) | vtop | virtual to physical
 | ! | escape to shell
 | !! | repeat last command
 | .<file> | source a file
(?) | ? | print this list of available commands
(h) | help | print this list of available commands
(w) | what | interpret addresses, symbols or
 |  | expressions

FILES
/dev/kmem	default system image
/dynix	default system namelist

SEE ALSO
savecore(8), ccompress(8).

WARNINGS
This command is intended for system debugging and is not supported software.